summaryrefslogtreecommitdiff
path: root/apt-get
diff options
context:
space:
mode:
authorPeter Palfrader <peter@palfrader.org>2005-09-02 13:55:27 +0000
committerweasel <weasel@bc3d92e2-beff-0310-a7cd-cc87d7ac0ede>2005-09-02 13:55:27 +0000
commitb36bdb983b84f9b43148fc040b3dcbd11d4f3801 (patch)
tree8b5bb96ca7eaf34eaf0d34af5679e051c2e485eb /apt-get
parent185f6fcbaea075f92a12e29e8f86551d9da5570c (diff)
Add apt-get wrapper
git-svn-id: svn+ssh://asteria.noreply.org/svn/weaselutils/trunk@9 bc3d92e2-beff-0310-a7cd-cc87d7ac0ede
Diffstat (limited to 'apt-get')
-rwxr-xr-xapt-get61
1 files changed, 61 insertions, 0 deletions
diff --git a/apt-get b/apt-get
new file mode 100755
index 0000000..37fe286
--- /dev/null
+++ b/apt-get
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# divert original using dpkg-divert --rename --local /usr/bin/apt-get
+
+## Copyright (c) 2005 David B. Harris <dbharris@eelf.ddts.net>
+## This text is released under the "three-clause BSD license".
+## The full text of the license is available at the end of this file.
+
+if [ "$1" = "update" ] || [ "$1" = "clean" ] || [ "$1" = "autoclean" ] || ( [ "$1" = "--simulate" ] && [ "$2" == "upgrade" ] ); then
+ apt-get.distrib "$@"
+ exit $?
+else
+ cat <<EOF
+ This is $(hostname -f), and in order to make administration easier, the
+ preferred method of package installation is via /usr/bin/aptitude. Simply
+ run 'aptitude install <package>'. aptitude has excellent logging facilities
+ and is also capable of allowing easy installation of Recommended and
+ Suggested packages.
+
+ Should you still require the use of apt-get, it is available as
+ /usr/bin/apt-get.distrib - but, please send a mail to
+ staff@$(hostname -f) describing the actions taken. Thank you.
+
+
+EOF
+ printf "Command-line arguments: apt-get %s\n\n" "$*"
+
+ printf "Press any key to continue."
+
+ read -n1 < /dev/tty
+
+ printf "\n"
+fi
+
+## Redistribution and use in source and binary forms, with or without
+## modification, are permitted provided that the following conditions are
+## met:
+##
+## * Redistributions of source code must retain the above copyright
+## notice, this list of conditions and the following disclaimer.
+##
+## * Redistributions in binary form must reproduce the above
+## copyright notice, this list of conditions and the following disclaimer
+## in the documentation and/or other materials provided with the
+## distribution.
+##
+## * Neither the names of the copyright owners nor the names of its
+## contributors may be used to endorse or promote products derived from
+## this software without specific prior written permission.
+##
+## THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+## "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+## LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+## A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+## OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+## SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+## LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+## DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+## THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+## (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+## OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.